Khronos Public Bugzilla
Bug 624 - typos; spec references non-existent section
typos; spec references non-existent section
Status: RESOLVED FIXED
Product: OpenGL
Classification: Unclassified
Component: API Specification
4.2
All All
: P3 normal
: ---
Assigned To: Jon Leech
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-16 07:56 PDT by nobled
Modified: 2013-07-09 16:14 PDT (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nobled 2012-04-16 07:56:52 PDT
On page 66 (83 of the PDF) of the OpenGL 4.2 Core Profile Specification (updated January 19, 2012):

"The command
void ActiveShaderProgram( uint pipeline, uint program );
sets the linked program named by program to be the active program (discussed
later in the secion 2.14.4) for the program pipeline object pipeline ."

It misspelled "section", and the section 2.14.4 doesn't exist in the Core specification (it does exist in the Compatibility spec).

Also, on page 120 (137 of the PDF):
"• A boolean holding the status of the last validation attempt, initally FALSE."

"initally" should be "initially".

And on page 342 (359 of the PDF):
"Sync objects may be used for syn-
chronization with operations occuring in the GL state machine or in the graphics
pipeline, and for synchronizing between multiple graphics contexts, among other
purposes."

"occuring" should be "occurring".

And the spelling of "signaled"/"signaling" is inconsistent; in most places with one L (including the names of enum constants), but in a few with two L's, like the table of contents and the title of section 5.3.2 "Signalling"; and on pages 345 ("WaitSync allows applications to continue to queue commands from the client in anticipation of the sync being signalled, increasing client-server parallelism.") and 461 ("When multiple GL clients and/or servers are blocked on a single sync object and that sync object is signalled, all such blocks are released.").
Comment 1 Jon Leech 2013-07-09 16:14:08 PDT
These will all be fixed in the next public GL spec update. Thanks!